Summary:	Creates xguest user as a locked down user
Name:		xguest
Version: 	1.0.10
Release: 	%mkrel 17
License: 	GPLv2+
Group:   	System/Base
BuildArch: 	noarch
Source:  	http://people.fedoraproject.org/~dwalsh/xguest/%{name}-%{version}.tar.bz2
Source10: 	mkxguesthome
# (tv) prevent accessing other people accounts:
Patch1: 	xguest-namespace.patch
URL:     	http://pkgs.fedoraproject.org/repo/pkgs/xguest/

Requires(pre):	pam >= 0.99.8.1
Requires(post): usermode-consoleonly

%define grp_option -U

# TODO:
# - check if /usr/sbin/gdm-safe-restart is needed in /etc/X11.gdm/PostSession/Default
# - prevent logging on console

%description
Installing this package sets up the xguest user to be used as a temporary
account to switch to or as a kiosk user account.
The user is only allowed to log in via gdm.  The home and temporary directories
of the user will be polyinstantiated and mounted on tmpfs.

WARNING: unlike Fedora, where the account is disabled unless SELinux is in
enforcing mode and where it's only accessible through gdm/kdm/xdm, it's
accessible from the console too.

%prep
%setup -q
%autopatch -p1

%build

%install
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/desktop-profiles
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/security/namespace.d/ls
install -m0644 xguest.zip %{buildroot}/%{_sysconfdir}/desktop-profiles/
install -m0644 xguest.conf %{buildroot}/%{_sysconfdir}/security/namespace.d/

install -m0755 %SOURCE10 %{buildroot}%{_sysconfdir}/security/namespace.d/

# (tv) Using UID higher than UID_MAX=60000 from /etc/login.defs:
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/xguest-add-helper <<EOF
#!/bin/sh
groupdel xguest 2>/dev/null
userdel -r xguest 2>/dev/null

case \$(env | grep -m 1 -i lang | cut -d= -f2 | cut -d. -f1) in
	fr_FR) comment_xguest="Compte invité";;
	de_DE) comment_xguest="Gast-Zugang";;
	es_ES) comment_xguest="Cuenta invitado";;
	it_IT) comment_xguest="Opsite conto";;
	pl_PL) comment_xguest="Konto gościa";;
	pt_PT) comment_xguest="Conta convidado";;
	*) comment_xguest="Guest Account";;
esac

useradd -s /bin/rbash -K UID_MIN=61000 -K UID_MAX=65000 -K GID_MIN=61000 -K GID_MAX=65000 %grp_option -p '' -c "\$comment_xguest" xguest || :

# Add two directories to /etc/skell so pam_namespace will label properly
mkdir /etc/skel/.mozilla 2> /dev/null
mkdir /etc/skel/.gnome2 2> /dev/null

# prevent remote login:
if [ -e /etc/ssh/denyusers ]; then
	if ! grep -q xguest /etc/ssh/denyusers; then
		echo xguest >> /etc/ssh/denyusers
	fi
fi

# prevent accessing most configuration tools (mcc still available with root password)
for i in /etc/pam.d/{mageia-simple-auth,simple_root_authen,urpmi.update}; do
	fgrep -q xguest \$i && continue
	echo -e "\nauth\trequired\tpam_succeed_if.so\tquiet user != xguest" >> \$i
done
EOF

%post
if [ $1 -eq 1 ]; then
	xguest-add-helper
fi

%preun
if [ $1 -eq 0 ]; then

userdel -r xguest
groupdel xguest

# remove forbiden SSH:
if [ -e /etc/ssh/denyusers ]; then
	sed -i '/^xguest/d' /etc/ssh/denyusers
fi

fi

%triggerin -- openssh-server
if ! grep -q xguest /etc/ssh/denyusers; then
  echo xguest >> /etc/ssh/denyusers
fi

%files
%attr(755,root,root) %_bindir/*
%dir %{_sysconfdir}/desktop-profiles
%config(noreplace) %{_sysconfdir}/desktop-profiles/xguest.zip
%{_sysconfdir}/security/namespace.d/
%doc README LICENSE



%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.0.10-17.mga8
+ Revision: 1523588
- Mageia 8 Mass Rebuild

* Sun Mar 10 2019 wally <wally> 1.0.10-16.mga7
+ Revision: 1373815
- drop sabayon support

* Wed Sep 19 2018 umeabot <umeabot> 1.0.10-15.mga7
+ Revision: 1277209
- Mageia 7 Mass Rebuild
+ wally <wally>
- remove unneeded %%triggerun
- check if /etc/ssh/denyusers exists before modifying it in %%preun

* Fri Feb 05 2016 umeabot <umeabot> 1.0.10-14.mga6
+ Revision: 937489
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.10-13.mga6
+ Revision: 937057
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.10-12.mga5
+ Revision: 742186
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.10-11.mga5
+ Revision: 690661
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.10-10.mga4
+ Revision: 520643
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.10-9.mga3
+ Revision: 386993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 27 2012 remmy <remmy> 1.0.10-8.mga2
+ Revision: 227154
- Add xguest to /etc/ssh/denyusers even when openssh-server is installed later. Closes #mga3921

* Thu Mar 15 2012 dams <dams> 1.0.10-7.mga2
+ Revision: 223481
- remove useless patch

* Wed Mar 14 2012 ennael <ennael> 1.0.10-6.mga2
+ Revision: 223321
- add requires on usemode-consoleonly (#4934)

* Mon Feb 20 2012 tv <tv> 1.0.10-5.mga2
+ Revision: 211177
- drop requires on dm (mga#3060)

* Thu Feb 16 2012 tmb <tmb> 1.0.10-4.mga2
+ Revision: 209750
- disable MgaOnline for xguest user

* Sun Jan 22 2012 dmorgan <dmorgan> 1.0.10-2.mga2
+ Revision: 199546
- Own %%{_sysconfdir}/desktop-profiles
+ dams <dams>
- update URL

* Wed Dec 28 2011 dams <dams> 1.0.10-1.mga2
+ Revision: 188355
- new version 1.0.10
- add it and pl translations
+ obgr_seneca <obgr_seneca>
- fixed German translation

* Tue Dec 27 2011 dams <dams> 1.0.8-7.mga2
+ Revision: 188172
- Add a way to translate 'Guest Account' into other locales
- Clean specfile

* Wed Mar 09 2011 ennael <ennael> 1.0.8-6.mga1
+ Revision: 66840
- clean spec file
- imported package xguest


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-6mdv2011.0
+ Revision: 608210
- rebuild

* Tue Jan 12 2010 Thierry Vignaud <tv@mandriva.org> 1.0.8-5mdv2010.1
+ Revision: 490352
- relax "requires" for 2010.0
- set UID_MAX & GID_MAX too in order to prevent ID conflict
- no need to remove xguest on upgrade since helper already take care
- do not use useradd's -U option on 2010.0 (#56918)
- be safer and just delete xguest group before adding user else useradd
  may fail if group already exist

* Fri Jan 08 2010 Thierry Vignaud <tv@mandriva.org> 1.0.8-3mdv2010.1
+ Revision: 487450
- force creating a separate group and use high GID value (#54919)

* Thu Jan 07 2010 Thierry Vignaud <tv@mandriva.org> 1.0.8-2mdv2010.1
+ Revision: 487171
- use a restricted shell (suggested by G?\195?\182tz Waschk)
- prevent xguest user to access other user files (#54921)

* Thu Jan 07 2010 Thierry Vignaud <tv@mandriva.org> 1.0.8-1mdv2010.1
+ Revision: 487110
- new release
- adapt  to latest sabayon (#56357, Quel Qun)
- make sure to only add xguest once to /etc/ssh/denyusers (#56357)
- prevent accessing most configuration tools (mcc still available with
  root password) (#54900)
- ensure we get bumped xguest UID on update
- use UID higher than UID_MAX=60000 from /etc/login.defs so that new
  user accounts do not got high UIDs (#54919)

* Thu Oct 29 2009 Thierry Vignaud <tv@mandriva.org> 1.0.7-10mdv2010.0
+ Revision: 460111
- when upgrading from previous releases, remove guest account whithout deleting
  its contents (#54898)
- move %%post and %%pre scripts into xguest-add-helper script
- display user as "Guest Account" in DM instead of just "Guest"
- rename guest back to xguest (#54898)

* Mon Oct 19 2009 Thierry Vignaud <tv@mandriva.org> 1.0.7-9mdv2010.0
+ Revision: 458177
- use an even higher UID (10000 >) (#54479)

* Mon Oct 19 2009 Thierry Vignaud <tv@mandriva.org> 1.0.7-8mdv2010.0
+ Revision: 458174
- use an even higher UID (10000 >) (#54479)

* Wed Oct 14 2009 Thierry Vignaud <tv@mandriva.org> 1.0.7-7mdv2010.0
+ Revision: 457322
- use a high UID (1000 >) instead of a system UID (#54479)

* Mon Oct 12 2009 Thierry Vignaud <tv@mandriva.org> 1.0.7-6mdv2010.0
+ Revision: 456904
+ rebuild (emptylog)

* Mon Oct 12 2009 Thierry Vignaud <tv@mandriva.org> 1.0.7-5mdv2010.0
+ Revision: 456768
- use system UID (#54479)

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 1.0.7-4mdv2010.0
+ Revision: 454650
- only require new python-sabayon, not full sabayon
- require it for Requires(pre) too

* Mon Oct 05 2009 Thierry Vignaud <tv@mandriva.org> 1.0.7-3mdv2010.0
+ Revision: 454176
- rename xguest as guest

* Fri Oct 02 2009 Thierry Vignaud <tv@mandriva.org> 1.0.7-2mdv2010.0
+ Revision: 452592
- do not force a specific display manager, just conflicts with non aware ones

* Fri Oct 02 2009 Thierry Vignaud <tv@mandriva.org> 1.0.7-1mdv2010.0
+ Revision: 452553
- import xguest


* Wed Jul 22 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-1mdv2010.0
- initial release
